ramper
======

A ruby gem To help Developers to Ramp Up Faster.

```
gem install ramper
```

https://rubygems.org/gems/ramper

```
######### USAGE ########
# ramper [a] Gives authorship summary. To figure out who to talk to.
# ramper [fmc1] [n] Files with most changes
# ramper [fmc2] [n] Returns top n files with most commit
# ramper [child] [n] Displays classes that depend on the most other classes.
# ramper [parent] [n] Displays classes that are depended on by the most other classes.
# ramper [fmr] [n] Returns the top n recently changed files
# ramper [flog] [f] Runs the flog metric on a file/dir. Higher numbers = more complex or painful code.
# ramper [flay] [f] Runs the flay tool on a file/dir. Reports similar blocks of code.
# ramper [s] Executes rake stats
# ramper [m] [f] [flags] Computes metrics for a given file based on the flags given. Defaults to computing everything
# find . -name *.rb -type f | ramper [b] [flags] Batch file metrics for input stream.
# [flags] -f: flog stats, -a: top author and number of authors, -c: number of commits and first/last commit, -l: lines of code
# ramper [help] this message
# ramper [tips] Gives some tips on how to ramp up faster
########################
```
